@define-color bubble_bg_color  mix(@window_bg_color, @window_fg_color, .05);
@define-color bubble_self_bg_color alpha(@accent_bg_color, 0.3);
@define-color quote_bg_color mix(@window_bg_color, @accent_bg_color, .1);

.message-bubble {
  color: @window_fg_color;
  border-radius: 16px;
  padding: 9px;
  background-color: @bubble_bg_color;
}

.message-input-bar {
  border-top: 1px solid @borders;
}

.message-list row {
  padding:0;
}

.message-item {
  margin: 5px 0 ;
}

.message-item.from-self .message-bubble {
  background-color: @bubble_self_bg_color;
  color: @card_fg_color;
}

.message-item:not(.has-header) .avatar-other {
  opacity: 0;
}

.currently-replied-box {
  padding: 12px 0;
}
.reaction {
  background-color: @bubble_bg_color;
  border: 1px solid @accent_bg_color;
  border-radius: 16px;
  padding: 6px 9px;
  margin-top: 5px;
}

.quote {
  background-color: @quote_bg_color;
  border-left: 4px solid;
  border-left-color:  @accent_bg_color;
  border-radius: 8px;
  color: @window_fg_color;
  padding: 9px;
  margin-bottom: 9px;
}

.message-item.from-self .quote {
  border-left-color: @accent_fg_color;
}


.emoji .message-text, .emoji.from-self .message-text{
  font-size: 3em;
}

.emoji:not(.has-attachment):not(.has-quote), .emoji.from-self:not(.has-attachment):not(.has-quote){
  background: transparent;
}

.fl-emoji-picker {
	margin: 6px;
}

group {
	margin: -10px;
	margin-bottom: 9px;
  min-width:250px;
}

.only-media {
	margin-bottom: -34px;
}

.download-media {
	margin-bottom: 14px;
}

.qr-code {
	padding:18px;
  background-color: white;
}

.message-clamp {
  padding: 0 16px;
}

.message-list:first-child {
  padding-top: 16px;
}

.message-list:last-child {
  padding-bottom: 16px;
}

/* Utility */

.small-pill {
  border-radius: 18px;
}

/* Placeholder */
message-entry > overlay > label {
  margin: 0 9px;
}

message-entry > overlay > entry > .image-button {
  margin-right: -6px;
}

message-entry > overlay > entry > .image-button:hover {
	opacity: 1;
	background-color: unset;
}

message-entry > overlay > entry {
  padding: 0 9px;
}

message-entry > overlay > entry > scrolledwindow > scrollbar {
  box-shadow: none;
  background: none;
}

message-entry > overlay > entry > scrolledwindow > scrollbar slider {
  min-height: 0;
}

message-entry > overlay > entry > scrolledwindow > textview {
  background: none;
  color: inherit;
}

video controls {
  padding-left: 8px;
}

.not-loaded  video image, .not-loaded  video controls {
	opacity: 0;
}

.media-overlay {
	margin-left:-9px;
	margin-right:-9px;
	border-left: 1px solid;
	border-right: 1px solid;
	border-color: @bubble_bg_color;
}

.has-attachment:not(.has-text) .media-overlay {
	margin-bottom: -9px;
	border-bottom-left-radius: 16px;
	border-bottom-right-radius: 16px;
	border-bottom: 1px solid @light_3;
}

.message-item:not(.has-header) .media-overlay {
	margin-top: -9px;
	border-top-left-radius: 16px;
	border-top-right-radius: 16px;
  border-top: 1px solid @light_3;
}
.message-item .has-quote .media-overlay {
	margin-top: 0;
	border-top-left-radius: 0;
	border-top-right-radius: 0;
  border-top: 0;
}


.media-group {
	background-color: @window_bg_color;
}

.attachment-video controls {
	border-radius: 8px;
	margin-bottom: 16px;
	margin-right: 16px;
	margin-left: 16px;
	opacity: 0;
}

.attachment-video:hover controls {
	transition: all 0.5s ease-in-out;
	opacity: 1;
}

 .media-overlay messageindicators {
  opacity: 0.7;
  background-color: alpha(black, 0.4);
  color: white;
  border-radius: 9999px;
  padding: 2px 6px;
  margin:12px;
}
